Number Range Increment
curl --request POST \
--url https://api.jtl-cloud.com/erp/configuration/numberRanges/{numberRangeId}/increment \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/configuration/numberRanges/{numberRangeId}/increment"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/configuration/numberRanges/{numberRangeId}/increment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"NextNumber": "<string>",
"IsPreview": true
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Master Data
Number Range Increment
deprecated
Increment and returns the Next Number for the given NumberRange
POST
/
configuration
/
numberRanges
/
{numberRangeId}
/
increment
Number Range Increment
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the NumberRange Schlüssel für einen Nummernkreis Datensatz
Query Parameters
Gets the unique identifier for the firm. Represents a key for identifying a firm within the application.
Was this page helpful?